local L = AceLibrary("AceLocale-2.2"):new("GemList")


L:RegisterTranslations("enUS", function() return {

	["Interface\\Icons\\INV_Jewelcrafting_LivingRuby_03"] = "red",
	["Interface\\Icons\\INV_Misc_Gem_BloodGem_02"] = "red",

	["Interface\\Icons\\INV_Jewelcrafting_Dawnstone_03"] = "yellow",
	["Interface\\Icons\\INV_Misc_Gem_GoldenDraenite_02"] = "yellow",
	
	["Interface\\Icons\\INV_Jewelcrafting_StarOfElune_03"] = "blue",
	["Interface\\Icons\\INV_Misc_Gem_AzureDraenite_02"] = "blue",
	
	["Interface\\Icons\\INV_Misc_Gem_EbonDraenite_02"] = "purple red blue",
	["Interface\\Icons\\INV_Jewelcrafting_Nightseye_03"] = "purple red blue",
	
	["Interface\\Icons\\INV_Jewelcrafting_Talasite_03"] = "green blue yellow",
	["Interface\\Icons\\INV_Misc_Gem_DeepPeridot_02"] = "green blue yellow",

	["Interface\\Icons\\INV_Misc_Gem_FlameSpessarite_02"] = "orange red yellow",
	["Interface\\Icons\\INV_Jewelcrafting_NobleTopaz_03"] = "orange red yellow",
	["Interface\\Icons\\INV_Misc_Gem_Opal_01"] = "orange red yellow",

	["Interface\\Icons\\INV_Misc_Gem_Diamond_07"] = "meta",
	["Interface\\Icons\\INV_Misc_Gem_Diamond_06"] = "meta",


	["Show incoming requests"] = true, 
	["Show your replies"] = true,
	["Lock time between 2 requests (antispam)"] = true,
	
	["AFK"] = true,
	["DND"] = true,
	["First clear your tag: "] = true,
	
	["numHelpLines"] = "5",
	["usage1"] = "Usage:",
	["usage2"] = " [color] - returns gems of that color",
	["usage3"] = " [stat] - returns gems improving that stat",
	["usage4"] = " [itemlink] - returns gems made of [itemlink]",
	["usage5"] = " [text] - returns gems containing [text] or made of reagents containing [text]",
	["examples1"] = "Examples:",
	["examples2"] = " red - returns all red gems", 
	["examples3"] = " heal - returns all gems improving healing, str returns gems improving strength",
	["examples4"] = " [Bold Living Ruby] - returns gems made of a [Bold Living Ruby]",
	["examples5"] = " heal red - Returns red gems improving healing. You can combine as many arguments you want",
	
	["red"] = true,
	["blue"] = true,
	["yellow"] = true,
	["meta"] = true,
	["orange"] = true,
	["purple"] = true,
	["green"] = true,

	["Gems"] = true,
	
	["Database is currently empty."] = true,
	[" wants to use GemList but the Jewelcrafting panel has not yet been opened."] = true,
	["Nothing found."] = true,
	["Wait ... ("] = true,
	[" seconds lock (antispam))"] = true,
	
	["Jewelcrafting"] = true,
	
	["Autoscan"] = true,
	["Automatically scan your Jewelcrafting panel when it opens"] = true,
	["Manual scan (open your Jewelcrafting panel first)"] = true,
	["Open your Jewelcrafting panel first"] = true,
	
	["Search description"] = true,
	["Also search gem description for a match"] = true,
	["Searching gem description is currently disabled."] = true,
	["Searching gem description is currently enabled."] = true,
	
	["Chat prefix to trigger GemList"] = true,
	
	["Send a GemList to a player"] = true,
	["Usage: /glist send <playername> \[query\]"] = true,
	

} end )



L:RegisterTranslations("deDE", function() return {
	["Interface\\Icons\\INV_Jewelcrafting_LivingRuby_03"] = "rot",
	["Interface\\Icons\\INV_Misc_Gem_BloodGem_02"] = "rot",

	["Interface\\Icons\\INV_Jewelcrafting_Dawnstone_03"] = "gelb",
	["Interface\\Icons\\INV_Misc_Gem_GoldenDraenite_02"] = "gelb",

	["Interface\\Icons\\INV_Jewelcrafting_StarOfElune_03"] = "blau",
	["Interface\\Icons\\INV_Misc_Gem_AzureDraenite_02"] = "blau",

	["Interface\\Icons\\INV_Misc_Gem_EbonDraenite_02"] = "lila rot blau",
	["Interface\\Icons\\INV_Jewelcrafting_Nightseye_03"] = "lila rot blau",

	["Interface\\Icons\\INV_Jewelcrafting_Talasite_03"] = "gr\195\188n blau gelb",
	["Interface\\Icons\\INV_Misc_Gem_DeepPeridot_02"] = "gr\195\188n blau gelb",

	["Interface\\Icons\\INV_Misc_Gem_FlameSpessarite_02"] = "orange rot gelb",
	["Interface\\Icons\\INV_Jewelcrafting_NobleTopaz_03"] = "orange rot gelb",
	["Interface\\Icons\\INV_Misc_Gem_Opal_01"] = "orange rot gelb",

	["Interface\\Icons\\INV_Misc_Gem_Diamond_07"] = "meta",
	["Interface\\Icons\\INV_Misc_Gem_Diamond_06"] = "meta",

	
	["Show incoming requests"] = "Eingehende Anfragen anzeigen", 
	["Show your replies"] = "Antworten anzeigen",
	["Lock time between 2 requests (antispam)"] = "Zeitsperre zwischen zwei Anfragen (Spamschutz)",
	
	["AFK"] = "AFK",
	["DND"] = "DND",
	["First clear your tag: "] = "Bitte setze Deine Markierung zur\195\188ck: ",
	
	["numHelpLines"] = "5",
	["usage1"] = "Benutzung:",
	["usage2"] = " [farbe] - sendet Edelsteine dieser Farbe",
	["usage3"] = " [wert] - sendet Edelsteine die diesen Wert verbessern",
	["usage4"] = " [itemlink] - sendet Edelsteine die aus [itemlink] hergestellt werden",
	["usage5"] = " [text] - sendet Edelsteine mit [text] im Namen oder die aus Reagenzien mit [text] im Namen hergestellt werden",
	["examples1"] = "Beispiele:",
	["examples2"] = " rot - sendet alle roten Edelsteine", 
	["examples3"] = " heil - sendet alle Edelsteine die Heilung verbessern, bew sendet alle Edelsteine die Beweglichkeit verbessern",
	["examples4"] = " [Bold Living Ruby] - sendet alle Edelsteine die aus einem [Bold Living Ruby] hergestellt werden",
	["examples5"] = " heil rot - Sendet alle roten Edelsteine, die Heilung verbessern. Du kannst soviele Argumente senden wie du willst.",

	
	["red"] = "rot",
	["blue"] = "blau",
	["yellow"] = "gelb",
	["meta"] = "meta",
	["orange"] = "orange",
	["purple"] = "lila",
	["green"] = "gr\195\188n",

	["Gems"] = "Edelsteine",
	
	["Database is currently empty."] = "Datenbank ist derzeit leer.",
	[" wants to use GemList but the Jewelcrafting panel has not yet been opened."] = " m\195\182chte GemList benutzen, aber das Juwelenschleifen-Fenster war noch nicht ge\195\182ffnet.",
	["Nothing found."] = "Nichts gefunden.",
	["Wait ... ("] = "Bitte warten... (",
	[" seconds lock (antispam))"] = " s Sperre (Spamschutz))",
	
	["Jewelcrafting"] = "Juwelenschleifen",
	
	["Autoscan"] = "Daten automatisch erfassen",
	["Automatically scan your Jewelcrafting panel when it opens"] = "Informationen aus dem Juwelenschleifen-Fenster beim \195\150ffnen automatisch erfassen.",
	["Manual scan (open your Jewelcrafting panel first)"] = "Manuelle Erfassung (zuerst das Juwelenschleifen-Fenster \195\182ffnen).",
	["Open your Jewelcrafting panel first"] = "Zuerst das Juwelenschleifen-Fenster \195\182ffnen.",
	
	["Search description"] = "Beschreibung durchsuchen",
	["Also search gem description for a match"] = "Auch die Beschreibungen der Juwelen nach Treffern durchsuchen.",
	["Searching gem description is currently disabled."] = "Durchsuchen der Edelstein-Beschreibung ist ausgeschaltet.",
	["Searching gem description is currently enabled."] = "Durchsuchen der Edelstein-Beschreibung ist eingeschaltet.",
	
	["Chat prefix to trigger GemList"] = "Chat-Befehl um GemList zu benutzen",
	
	["Send a GemList to a player"] = "Einem Spieler eine GemList-Ausgabe senden",
	["Usage: /glist send <playername> \[query\]"] = "Benutzung: /glist send <spielername> \[Abfrage\]",

} end )

-- Thanks Tixu for french localiZation

L:RegisterTranslations("frFR", function() return {

	["Interface\\Icons\\INV_Jewelcrafting_LivingRuby_03"] = "rouge",
	["Interface\\Icons\\INV_Misc_Gem_BloodGem_02"] = "rouge",

	["Interface\\Icons\\INV_Jewelcrafting_Dawnstone_03"] = "jaune",
	["Interface\\Icons\\INV_Misc_Gem_GoldenDraenite_02"] = "jaune",

	["Interface\\Icons\\INV_Jewelcrafting_StarOfElune_03"] = "bleue",
	["Interface\\Icons\\INV_Misc_Gem_AzureDraenite_02"] = "bleue",

	["Interface\\Icons\\INV_Misc_Gem_EbonDraenite_02"] = "violette rouge bleue",
	["Interface\\Icons\\INV_Jewelcrafting_Nightseye_03"] = "violette rouge bleue",

	["Interface\\Icons\\INV_Jewelcrafting_Talasite_03"] = "verte bleue jaune",
	["Interface\\Icons\\INV_Misc_Gem_DeepPeridot_02"] = "verte bleue jaune",

	["Interface\\Icons\\INV_Misc_Gem_FlameSpessarite_02"] = "orange rouge jaune",
	["Interface\\Icons\\INV_Jewelcrafting_NobleTopaz_03"] = "orange rouge jaune",
	["Interface\\Icons\\INV_Misc_Gem_Opal_01"] = "orange rouge jaune",
	
	["Interface\\Icons\\INV_Misc_Gem_Diamond_07"] = "meta",
	["Interface\\Icons\\INV_Misc_Gem_Diamond_06"] = "meta",
	
	["Show incoming requests"] = "Montrer les requ\195\170tes entrantes",
	["Show your replies"] = "Montrer les requ\195\170tes sortantes",
	["Lock time between 2 requests (antispam)"] = "Temps entre chaque requ\195\170te (Antispam)",
	
	["AFK"] = "AFK",
	["DND"] = "NPD",
	["First clear your tag: "] = "Effacer",
	
	["numHelpLines"] = "3",	
	["usage1"] = "Usage:",
	["usage2"] = " [couleur] pour chercher les gemmes de cette [couleur]",
	["usage3"] = " [nom] pour chercher dans le [nom] des gemmes",
	["examples1"] = "Exemples:",
	["examples2"] = " rouge retourne toutes les gemmes rouges",
	["examples3"] = " rubis retourne toutes les gemmes contenant le mot rubis",
	
	
	["red"] = "rouge",
	["blue"] = "bleue",
	["yellow"] = "jaune",
	["meta"] = "meta",
	["orange"] = "orange",
	["purple"] = "violette",
	["green"] = "verte",
	
	["Gems"] = "Gemmes",
	
	["Database is currently empty."] = "La base de donn\195\169e est actuellement vide",
	[" wants to use GemList but the Jewelcrafting panel has not yet been opened."] = " souhaite utiliser Gemlist mais la base de donn\195\169e n'a pas \195\169t\195\169 initialis\195\169e",
	["Nothing found."] = "Aucune occurence",
	["Wait ... ("] = "Veuillez patienter...",
	[" seconds lock (antispam))"] = " seconde(s) d'antispam",
	
	["Jewelcrafting"] = "Joaillerie",
	
	["Autoscan"] = "Autoscan",
	["Automatically scan your Jewelcrafting panel when it opens"] = "Scanner automatiquement l'interface de joaillerie",
	["Manual scan (open your Jewelcrafting panel first)"] = "Scanner manuellement",
	["Open your Jewelcrafting panel first"] = "Veuillez ouvrir votre interface de Joaillerie",
	
	["Search description"] = "Chercher dans les descriptions",
	["Also search gem description for a match"] = "Rechercher \195\169galement dans la description des gemmes",
	["Searching gem description is currently disabled."] = "Chercher dans la descrition: D\195\169sactiv\195\169",
	["Searching gem description is currently enabled."] = "Chercher dans la descrition: Activ\195\169",
	
	["Chat prefix to trigger GemList"] = "Commande de chat pour activer gemlist",
	
	["Send a GemList to a player"] = "Envoyer une liste \195\160 un joueur",
	["Usage: /glist send <playername> \[query\]"] = "Usage: /glist send <nom_du_joueur> \[requ\195\170te\]",
	
} end )